<div>
  <div
    class="bg-product-grey"
    :style="isHomePage && isHeaderHomePage && setting && setting.headerColor ? `background-color: ${setting.headerColor}` : 'background-color: #f7f7f7'"
  >
    <div
      class="sm:pb-10"
      v-if="announcement"
      :style="isHomePage && isHeaderHomePage && setting && setting.headerColor ? `background-color: ${setting.headerColor}` : 'background-color: #f7f7f7'"
    >
      <p
        class="font-weight-bold white--text py-2 mb-0 text-center"
        :style="`background-color: ${colorVariant}; font-size: 14px`"
      >
        {{announcement}}
      </p>
    </div>

    <!-- <div @click="goHome()" v-else class="image-logo">
        <div class="image">
         
        </div>
      </div> -->
    <v-row no-gutters class="align-center frame-logo">
      <v-col cols="4" style="height: 100%" class="d-flex align-center">
        <v-app-bar-nav-icon @click="drawer = !drawer">
          <img
            class="image"
            src="@/static/menu.svg"
            alt=""
            width="14"
            height="14"
          />
        </v-app-bar-nav-icon>
      </v-col>
      <v-col cols="4" style="position: relative; height: 100%">
        <div @click="goHome()" class="image-logo">
          <img :src="logo" alt="" />
        </div>
      </v-col>
      <v-col cols="4"> </v-col>
    </v-row>

    <v-navigation-drawer
      v-model="drawer"
      temporary
      absolute
      width="280px"
      class="side-menu"
    >
      <div class="pos-relative product-card main-side-menu">
        <div>
          <v-btn icon small @click="drawer = false" class="mb-4">
            <v-icon color="white"> mdi-close </v-icon>
          </v-btn>
          <div class="mx-0 py-4">
            <a
              :href="`https://${domain}`"
              v-if="isOnHomePage"
              class="hover-link header"
              style="color: white; font-size: 18px"
            >
              {{$language.home}}
            </a>
            <nuxt-link
              :to="`/${slug}`"
              v-else
              class="hover-link header"
              style="color: white; font-size: 18px"
            >
              {{$language.home}}
            </nuxt-link>
          </div>
          <div class="mx-0 py-4">
            <nuxt-link
              :to="`${slug ? `/${slug}` : ''}/pages/order-tracking`"
              class="hover-link header"
              style="color: white; font-size: 18px"
            >
              {{$language.orderTracking}}
            </nuxt-link>
          </div>
          <div class="mx-0 py-4">
            <nuxt-link
              :to="`${slug ? `/${slug}` : ''}/pages/contact-us`"
              class="hover-link header"
              style="color: white; font-size: 18px"
            >
              {{$language.contactUs}}
            </nuxt-link>
          </div>
        </div>
        <div>
          <div style="margin-bottom: 18px">
            <nuxt-link
              style="color: #768a8a"
              class="text-decoration-none fsize-12"
              :to="`${slug ? `/${slug}` : ''}/pages/faqs`"
            >
              {{$language.faqs}}
            </nuxt-link>
          </div>
          <div style="margin-bottom: 18px">
            <nuxt-link
              style="color: #768a8a"
              class="text-decoration-none fsize-12"
              :to="`${slug ? `/${slug}` : ''}/pages/return-and-refund`"
            >
              {{$language.returnRefundPolicy}}
            </nuxt-link>
          </div>
          <div style="margin-bottom: 18px">
            <nuxt-link
              style="color: #768a8a"
              class="text-decoration-none fsize-12"
              :to="`${slug ? `/${slug}` : ''}/pages/payment-method`"
            >
              {{$language.paymentMethods}}
            </nuxt-link>
          </div>
          <div style="margin-bottom: 18px">
            <nuxt-link
              style="color: #768a8a"
              class="text-decoration-none fsize-12"
              :to="`${slug ? `/${slug}` : ''}/policies/terms-of-service`"
            >
              {{$language.termsOfService}}
            </nuxt-link>
          </div>
          <div style="margin-bottom: 18px">
            <nuxt-link
              style="color: #768a8a"
              class="text-decoration-none fsize-12"
              :to="`${slug ? `/${slug}` : ''}/policies/privacy-policy`"
            >
              {{$language.privacyPolicy}}
            </nuxt-link>
          </div>
          <div style="margin-bottom: 18px">
            <nuxt-link
              style="color: #768a8a"
              class="text-decoration-none fsize-12"
              :to="`${slug ? `/${slug}` : ''}/policies/shipping-policy`"
            >
              {{$language.shippingPolicy}}
            </nuxt-link>
          </div>
          <div style="margin-bottom: 18px">
            <nuxt-link
              style="color: #768a8a"
              class="text-decoration-none fsize-12"
              :to="`${slug ? `/${slug}` : ''}/policies/dmca`"
            >
              DMCA
            </nuxt-link>
          </div>
        </div>
      </div>
    </v-navigation-drawer>
  </div>
</div>
